Index: /branches/feature-module-update/data/class/util/SC_Utils.php
===================================================================
--- /branches/feature-module-update/data/class/util/SC_Utils.php	(revision 15544)
+++ /branches/feature-module-update/data/class/util/SC_Utils.php	(revision 15548)
@@ -734,44 +734,4 @@
         $ret = ereg_replace("[　 \n\r]*$", "", $ret);
         return $ret;
-    }
-
-    /* 親IDの配列を元に特定のカラムを取得する。*/
-    function sfGetParentsCol($objQuery, $table, $id_name, $col_name, $arrId ) {
-        $col = $col_name;
-        $len = count($arrId);
-        $where = "";
-
-        for($cnt = 0; $cnt < $len; $cnt++) {
-            if($where == "") {
-                $where = "$id_name = ?";
-            } else {
-                $where.= " OR $id_name = ?";
-            }
-        }
-
-        $objQuery->setorder("level");
-        $arrRet = $objQuery->select($col, $table, $where, $arrId);
-        return $arrRet;
-    }
-
-    /* カテゴリ変更時の移動処理 */
-    function sfMoveCatRank($objQuery, $table, $id_name, $cat_name, $old_catid, $new_catid, $id) {
-        if ($old_catid == $new_catid) {
-            return;
-        }
-        // 旧カテゴリでのランク削除処理
-        // 移動レコードのランクを取得する。
-        $where = "$id_name = ?";
-        $rank = $objQuery->get($table, "rank", $where, array($id));
-        // 削除レコードのランクより上のレコードを一つ下にずらす。
-        $where = "rank > ? AND $cat_name = ?";
-        $sqlup = "UPDATE $table SET rank = (rank - 1) WHERE $where";
-        $objQuery->exec($sqlup, array($rank, $old_catid));
-        // 新カテゴリでの登録処理
-        // 新カテゴリの最大ランクを取得する。
-        $max_rank = $objQuery->max($table, "rank", "$cat_name = ?", array($new_catid)) + 1;
-        $where = "$id_name = ?";
-        $sqlup = "UPDATE $table SET rank = ? WHERE $where";
-        $objQuery->exec($sqlup, array($max_rank, $id));
     }
 
Index: /branches/feature-module-update/data/class/helper/SC_Helper_DB.php
===================================================================
--- /branches/feature-module-update/data/class/helper/SC_Helper_DB.php	(revision 15532)
+++ /branches/feature-module-update/data/class/helper/SC_Helper_DB.php	(revision 15548)
@@ -11,5 +11,5 @@
  * @package Helper
  * @author LOCKON CO.,LTD.
- * @version $Id$
+ * @version $Id:SC_Helper_DB.php 15532 2007-08-31 14:39:46Z nanasess $
  */
 class SC_Helper_DB {
@@ -1009,4 +1009,64 @@
 
     /**
+     * 親IDの配列を元に特定のカラムを取得する.
+     *
+     * @param SC_Query $objQuery SC_Query インスタンス
+     * @param string $table テーブル名
+     * @param string $id_name ID名
+     * @param string $col_name カラム名
+     * @param array $arrId IDの配列
+     * @return array 特定のカラムの配列
+     */
+    function sfGetParentsCol($objQuery, $table, $id_name, $col_name, $arrId ) {
+        $col = $col_name;
+        $len = count($arrId);
+        $where = "";
+
+        for($cnt = 0; $cnt < $len; $cnt++) {
+            if($where == "") {
+                $where = "$id_name = ?";
+            } else {
+                $where.= " OR $id_name = ?";
+            }
+        }
+
+        $objQuery->setorder("level");
+        $arrRet = $objQuery->select($col, $table, $where, $arrId);
+        return $arrRet;
+    }
+
+    /**
+     * カテゴリ変更時の移動処理を行う.
+     *
+     * @param SC_Query $objQuery SC_Query インスタンス
+     * @param string $table テーブル名
+     * @param string $id_name ID名
+     * @param string $cat_name カテゴリ名
+     * @param integer $old_catid 旧カテゴリID
+     * @param integer $new_catid 新カテゴリID
+     * @param integer $id ID
+     * @return void
+     */
+    function sfMoveCatRank($objQuery, $table, $id_name, $cat_name, $old_catid, $new_catid, $id) {
+        if ($old_catid == $new_catid) {
+            return;
+        }
+        // 旧カテゴリでのランク削除処理
+        // 移動レコードのランクを取得する。
+        $where = "$id_name = ?";
+        $rank = $objQuery->get($table, "rank", $where, array($id));
+        // 削除レコードのランクより上のレコードを一つ下にずらす。
+        $where = "rank > ? AND $cat_name = ?";
+        $sqlup = "UPDATE $table SET rank = (rank - 1) WHERE $where";
+        $objQuery->exec($sqlup, array($rank, $old_catid));
+        // 新カテゴリでの登録処理
+        // 新カテゴリの最大ランクを取得する。
+        $max_rank = $objQuery->max($table, "rank", "$cat_name = ?", array($new_catid)) + 1;
+        $where = "$id_name = ?";
+        $sqlup = "UPDATE $table SET rank = ? WHERE $where";
+        $objQuery->exec($sqlup, array($max_rank, $id));
+    }
+
+    /**
      * レコードの存在チェックを行う.
      *