Index: /branches/feature-module-update/templates/default_page.php
===================================================================
--- /branches/feature-module-update/templates/default_page.php	(revision 15575)
+++ /branches/feature-module-update/templates/default_page.php	(revision 15575)
@@ -0,0 +1,19 @@
+<?php
+/*
+ * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ */
+
+// {{{ requires
+require_once("../require.php");
+require_once(CLASS_PATH . "page_extends/XXX/LC_Page_XXX_Ex.php");
+
+// }}}
+// {{{ generate page
+
+$objPage = new LC_Page_XXX_Ex();
+$objPage->init();
+$objPage->process();
+register_shutdown_function(array($objPage, "destroy"));
+?>
Index: /branches/feature-module-update/templates/page_class.php
===================================================================
--- /branches/feature-module-update/templates/page_class.php	(revision 15575)
+++ /branches/feature-module-update/templates/page_class.php	(revision 15575)
@@ -0,0 +1,54 @@
+<?php
+/*
+ * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ */
+
+// {{{ requires
+require_once(CLASS_PATH . "pages/LC_Page.php");
+
+/**
+ * XXX のページクラス.
+ *
+ * @package Page
+ * @author LOCKON CO.,LTD.
+ * @version $Id$
+ */
+class LC_Page_XXX extends LC_Page {
+
+    // }}}
+    // {{{ functions
+
+    /**
+     * Page を初期化する.
+     *
+     * @return void
+     */
+    function init() {
+        parent::init();
+    }
+
+    /**
+     * Page のプロセス.
+     *
+     * @return void
+     */
+    function process() {
+    }
+
+    /**
+     * デストラクタ.
+     *
+     * @return void
+     */
+    function destroy() {
+        parent::destroy();
+    }
+}
+/*
+ * Local variables:
+ * coding: utf-8
+ * End:
+ */
+?>
Index: /branches/feature-module-update/templates/copyright.php
===================================================================
--- /branches/feature-module-update/templates/copyright.php	(revision 15575)
+++ /branches/feature-module-update/templates/copyright.php	(revision 15575)
@@ -0,0 +1,7 @@
+<?php
+/*
+ * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ */
+?>
Index: /branches/feature-module-update/templates/page_class_extends.php
===================================================================
--- /branches/feature-module-update/templates/page_class_extends.php	(revision 15575)
+++ /branches/feature-module-update/templates/page_class_extends.php	(revision 15575)
@@ -0,0 +1,52 @@
+<?php
+/*
+ * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ */
+
+// {{{ requires
+require_once(CLASS_PATH . "pages/XXX/LC_Page_XXX.php");
+
+/**
+ * XXX のページクラス(拡張).
+ *
+ * LC_Page_XXX をカスタマイズする場合はこのクラスを編集する.
+ *
+ * @package Page
+ * @author LOCKON CO.,LTD.
+ * @version $Id$
+ */
+class LC_Page_XXX_Ex extends LC_Page_XXX {
+
+    // }}}
+    // {{{ functions
+
+    /**
+     * Page を初期化する.
+     *
+     * @return void
+     */
+    function init() {
+        parent::init();
+    }
+
+    /**
+     * Page のプロセス.
+     *
+     * @return void
+     */
+    function process() {
+        parent::process();
+    }
+
+    /**
+     * デストラクタ.
+     *
+     * @return void
+     */
+    function destroy() {
+        parent::destroy();
+    }
+}
+?>
Index: /branches/feature-module-update/templates/semantic.cache
===================================================================
--- /branches/feature-module-update/templates/semantic.cache	(revision 15575)
+++ /branches/feature-module-update/templates/semantic.cache	(revision 15575)
@@ -0,0 +1,29 @@
+;; Object templates/
+;; SEMANTICDB Tags save file
+(semanticdb-project-database-file "templates/"
+  :tables (list 
+    (semanticdb-table "page_class.php"
+    :major-mode 'php-mode
+    :tags '(("require_once" function (:prototype-flag t :arguments (("" variable (:type ("CLASS_PATH" type (:type "class") nil nil)) (reparse-symbol arg-sub-list) [138 150])) :type "int") nil [125 172]))
+    :file "page_class.php"
+    :pointmax 663
+    :unmatched-syntax 'nil
+    )
+   (semanticdb-table "page_class_extends.php"
+    :major-mode 'php-mode
+    :tags '(("require_once" function (:prototype-flag t :arguments (("" variable (:type ("CLASS_PATH" type (:type "class") nil nil)) (reparse-symbol arg-sub-list) [138 150])) :type "int") nil [125 180]))
+    :file "page_class_extends.php"
+    :pointmax 753
+    :unmatched-syntax 'nil
+    )
+   (semanticdb-table "copyright.php"
+    :major-mode 'php-mode
+    :tags 'nil
+    :file "copyright.php"
+    :pointmax 110
+    )
+   )
+  :file "semantic.cache"
+  :semantic-tag-version "2.0pre3"
+  :semanticdb-version "2.0pre3"
+  )